"""create table for Framework
Revision ID: 2c9a8b7f6d22
Revises: 0001
Create Date: 2023-05-23 10:53:23.951271
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '2c9a8b7f6d22'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    table_name = "frameworks"

    op.create_table(
        table_name,
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('language', sa.String(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.Index('ix_frameworks_name', 'name', unique=True)
    )

def downgrade():
    table_name = "frameworks"
    op.drop_table(table_name)