from fastapi import APIRouter, Depends
from typing import List
from schemas.framework import FrameworkSchema
from helpers.framework_helpers import get_random_framework
from sqlalchemy.orm import Session
from core.database import get_db

router = APIRouter()

@router.get("/dave", response_model=List[FrameworkSchema])
async def get_random_framework_endpoint(db: Session = Depends(get_db)):
    framework = get_random_framework(db)
    if framework:
        return [framework]
    else:
        return []